<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (10.0.1) on Tue Sep 25 17:42:32 CEST 2018 -->
<title>Question</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="date" content="2018-09-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-1.10.2.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Question";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Question.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../beans/OrderPosition.html" title="class in beans"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../beans/Review.html" title="class in beans"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?beans/Question.html" target="_top">Frames</a></li>
<li><a href="Question.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="../beans/package-summary.html">beans</a></div>
<h2 title="Class Question" class="title">Class Question</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>beans.Question</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Question</span>
extends java.lang.Object</pre>
<div class="block">The Class Question. It represents one row of the database table 'questionsandanswers'.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Oliver Neumann</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#Question--">Question</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#getActive--">getActive</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the active.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#getAnswer--">getAnswer</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the answer.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#getDate--">getDate</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the date.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#getID--">getID</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the id.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#getQuestion--">getQuestion</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the question.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#getQuestioner--">getQuestioner</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the questioner.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#getTitle--">getTitle</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the title.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#setActive-java.lang.String-">setActive</a></span>&#8203;(java.lang.String&nbsp;active)</code></th>
<td class="colLast">
<div class="block">Sets the active.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#setAnswer-java.lang.String-">setAnswer</a></span>&#8203;(java.lang.String&nbsp;answer)</code></th>
<td class="colLast">
<div class="block">Sets the answer.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#setDate-java.lang.String-">setDate</a></span>&#8203;(java.lang.String&nbsp;date)</code></th>
<td class="colLast">
<div class="block">Sets the date.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#setID-java.lang.String-">setID</a></span>&#8203;(java.lang.String&nbsp;iD)</code></th>
<td class="colLast">
<div class="block">Sets the id.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#setQuestion-java.lang.String-">setQuestion</a></span>&#8203;(java.lang.String&nbsp;question)</code></th>
<td class="colLast">
<div class="block">Sets the question.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#setQuestioner-java.lang.String-">setQuestioner</a></span>&#8203;(java.lang.String&nbsp;questioner)</code></th>
<td class="colLast">
<div class="block">Sets the questioner.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Question.html#setTitle-java.lang.String-">setTitle</a></span>&#8203;(java.lang.String&nbsp;title)</code></th>
<td class="colLast">
<div class="block">Sets the title.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Question--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Question</h4>
<pre>public&nbsp;Question()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getID</h4>
<pre>public&nbsp;java.lang.String&nbsp;getID()</pre>
<div class="block">Gets the id.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the id</dd>
</dl>
</li>
</ul>
<a name="setID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setID</h4>
<pre>public&nbsp;void&nbsp;setID&#8203;(java.lang.String&nbsp;iD)</pre>
<div class="block">Sets the id.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>iD</code> - the new id</dd>
</dl>
</li>
</ul>
<a name="getQuestioner--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQuestioner</h4>
<pre>public&nbsp;java.lang.String&nbsp;getQuestioner()</pre>
<div class="block">Gets the questioner.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the questioner</dd>
</dl>
</li>
</ul>
<a name="setQuestioner-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setQuestioner</h4>
<pre>public&nbsp;void&nbsp;setQuestioner&#8203;(java.lang.String&nbsp;questioner)</pre>
<div class="block">Sets the questioner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>questioner</code> - the new questioner</dd>
</dl>
</li>
</ul>
<a name="getQuestion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQuestion</h4>
<pre>public&nbsp;java.lang.String&nbsp;getQuestion()</pre>
<div class="block">Gets the question.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the question</dd>
</dl>
</li>
</ul>
<a name="setQuestion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setQuestion</h4>
<pre>public&nbsp;void&nbsp;setQuestion&#8203;(java.lang.String&nbsp;question)</pre>
<div class="block">Sets the question.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>question</code> - the new question</dd>
</dl>
</li>
</ul>
<a name="getAnswer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAnswer</h4>
<pre>public&nbsp;java.lang.String&nbsp;getAnswer()</pre>
<div class="block">Gets the answer.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the answer</dd>
</dl>
</li>
</ul>
<a name="setAnswer-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAnswer</h4>
<pre>public&nbsp;void&nbsp;setAnswer&#8203;(java.lang.String&nbsp;answer)</pre>
<div class="block">Sets the answer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>answer</code> - the new answer</dd>
</dl>
</li>
</ul>
<a name="getTitle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTitle</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTitle()</pre>
<div class="block">Gets the title.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the title</dd>
</dl>
</li>
</ul>
<a name="setTitle-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTitle</h4>
<pre>public&nbsp;void&nbsp;setTitle&#8203;(java.lang.String&nbsp;title)</pre>
<div class="block">Sets the title.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - the new title</dd>
</dl>
</li>
</ul>
<a name="getDate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDate</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDate()</pre>
<div class="block">Gets the date.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the date</dd>
</dl>
</li>
</ul>
<a name="setDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDate</h4>
<pre>public&nbsp;void&nbsp;setDate&#8203;(java.lang.String&nbsp;date)</pre>
<div class="block">Sets the date.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - the new date</dd>
</dl>
</li>
</ul>
<a name="getActive--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getActive</h4>
<pre>public&nbsp;java.lang.String&nbsp;getActive()</pre>
<div class="block">Gets the active.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the active</dd>
</dl>
</li>
</ul>
<a name="setActive-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setActive</h4>
<pre>public&nbsp;void&nbsp;setActive&#8203;(java.lang.String&nbsp;active)</pre>
<div class="block">Sets the active.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>active</code> - the new active</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Question.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../beans/OrderPosition.html" title="class in beans"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../beans/Review.html" title="class in beans"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?beans/Question.html" target="_top">Frames</a></li>
<li><a href="Question.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
